Bug 196061 - [iOS] Apple Pay should be available in documents with no user agent scripts
Summary: [iOS] Apple Pay should be available in documents with no user agent scripts
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy Estes
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-20 23:41 PDT by Andy Estes
Modified: 2019-03-28 12:35 PDT (History)
17 users (show)

See Also:


Attachments
Patch (104.44 KB, patch)
2019-03-20 23:42 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (104.20 KB, patch)
2019-03-21 08:22 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (91.44 KB, patch)
2019-03-21 09:27 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.96 MB, application/zip)
2019-03-21 11:14 PDT, EWS Watchlist
no flags Details
Patch (91.43 KB, patch)
2019-03-21 13:12 PDT, Andy Estes
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Estes 2019-03-20 23:41:06 PDT Comment hidden (obsolete)
Comment 1 Andy Estes 2019-03-20 23:42:23 PDT Comment hidden (obsolete)
Comment 2 Andy Estes 2019-03-21 08:22:59 PDT Comment hidden (obsolete)
Comment 3 EWS Watchlist 2019-03-21 08:25:12 PDT Comment hidden (obsolete)
Comment 4 Andy Estes 2019-03-21 09:01:10 PDT
rdar://problem/48649391
Comment 5 Andy Estes 2019-03-21 09:27:18 PDT Comment hidden (obsolete)
Comment 6 EWS Watchlist 2019-03-21 11:14:00 PDT Comment hidden (obsolete)
Comment 7 EWS Watchlist 2019-03-21 11:14:02 PDT Comment hidden (obsolete)
Comment 8 Andy Estes 2019-03-21 12:00:12 PDT Comment hidden (obsolete)
Comment 9 Andy Estes 2019-03-21 13:12:49 PDT
Created attachment 365603 [details]
Patch
Comment 10 WebKit Commit Bot 2019-03-21 13:52:02 PDT
Comment on attachment 365603 [details]
Patch

Clearing flags on attachment: 365603

Committed r243324: <https://trac.webkit.org/changeset/243324>
Comment 11 WebKit Commit Bot 2019-03-21 13:52:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Tim Horton 2019-03-28 12:35:01 PDT
Inexplicably-delayed build fix: https://trac.webkit.org/changeset/243616/webkit